Bug 105791 - smc networking broken by default
smc networking broken by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-27 12:42 EDT by Anthony Green
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 00:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2003-09-27 12:42:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
While I've never had problems with RHL9 and previous versions, networking wasn't
working for me on Fedora test1 or test2.
I'm using an SMC 83C170QF board, and I'm using a netgear router.

The system was just reporting that there was no link present whenever I tried to
bring up eth0.

The fix was to...

$ rmmod epic100
$ insmod epic100 full_duplex=5

I don't know why.  Somebody just gave me this hint on IRC....

<xover> epic100 tries to auto-negotiate speed/duplex and if the netgear is
locked this will fail. If they have different defaults, you would get no link or
other weirdness.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up an SMC card and a Netgear RP614 router.
2.Try to boot.

    

Actual Results:  eth0 bring up reports  no link present.

Expected Results:  eth0 bring up reports OK

Additional info:
Comment 1 Dave Jones 2004-12-08 00:23:01 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.